package cn.newfeifan.mall.framework.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 搜索条件的时间枚举类
 */

@Getter
@AllArgsConstructor
public enum SelectTimeEnum {

    WEEK("week","本周"),
    LAST_WEEK("lastWeek","上周"),
    LAST_MONTH("lastMonth","上月"),
    THREE_MONTH("threeMonth","近三月"),
    HALF_YEAR("halfYear","近半年"),
    YEAR("year","近一年"),
    ;

    private final String type;
    private final String mark;
}
